package de.hftstuttgart.buildingphysics.application.handlers;

import org.eclipse.core.runtime.Platform;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.widgets.Shell;

public class AboutHandler {
	@Execute
	public void execute(Shell shell) {
		String txt = """
			HfT Stuttgart - Building Physics Catalog
			----------------------------------------
			
			Workspace allowsDefault: %s
			Workspace getDefault: %s""";
		MessageDialog.openInformation(shell, "About", String.format(txt,
				Platform.getInstanceLocation().allowsDefault(),
				Platform.getInstanceLocation().getDefault()));
	}
}
